Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510089 - Desktop completely freezed
Summary: Desktop completely freezed
Keywords:
Status: CLOSED DUPLICATE of bug 1601946
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
: 1612930 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 16:49 UTC by Alessandra
Modified: 2019-04-02 00:13 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-17 15:27:11 UTC


Attachments (Terms of Use)
Xorg log file and x11vnc server log file (deleted)
2017-11-06 16:49 UTC, Alessandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3556951 None None None 2018-08-08 16:38:19 UTC

Internal Links: 1581308 1601946 1601947 1601948

Description Alessandra 2017-11-06 16:49:27 UTC
Created attachment 1348685 [details]
Xorg log file and x11vnc server log file

Description of problem:
After a month of inactivity, the servers has desktops freezed.
The mouse is blocked, in all servers with the similar configuration, so there is no focus on windows.
The /var/log/messages shows  

Version-Release number of selected component (if applicable):
Redhat 7.3 Server with Gnome and HA
Redhat 7.3 Server with Gnome


- On /var/log/messages there is only this error:

Nov  6 11:38:39 XX-XXX gnome-session: Window manager warning: last_focus_time (989202586) is greater than comparison timestamp (3552701163).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...

- On Xorg.0.log:
[  2204.373] EGL_MESA_drm_image required.
[  2204.373] (EE) modeset(0): glamor initialization failed
[  2204.373] (II) modeset(0): ShadowFB: preferred YES, enabled YES
[  2204.373] (II) modeset(0): Double-buffered shadow updates: on(II) modeset(0): Output VGA-0 has no monitor section
[  2204.502] (II) modeset(0): EDID for output VGA-0
....
[  2204.793] (II) SELinux: Disabled on system
[  2204.793] (II) AIGLX: Screen 0 is not DRI2 capable
[  2204.793] (EE) AIGLX: reverting to software rendering
[  2204.794] (II) AIGLX: Loaded and initialized swrast
...
[  2204.793] (II) SELinux: Disabled on system
[  2204.793] (II) AIGLX: Screen 0 is not DRI2 capable
[  2204.793] (EE) AIGLX: reverting to software rendering
[  2204.794] (II) AIGLX: Loaded and initialized swrast
[  2204.794] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[  2204.795] (II) modeset(0): Setting screen physical size to 270 x 203
[  2204.817] (II) config/udev: Adding input device Power Button (/dev/input/event0)



How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
After executing the command:
on server #1: systemctl restart gdm
on server #2: killall gnome-shell

mouse, keyboard and focus on windows begin to work again.


Expected results:


Additional info:
It is installed x11vnc server with this parameters:

ExecStart=/usr/bin/x11vnc -norc -xdamage -forever -shared -bg -rfbauth /home/fdflin/.vnc/passwd -autoport 5900 -o /var/log/x11vnc.log -auth /var/run/slim.aut

Comment 2 Jeff Smith 2018-02-06 20:16:07 UTC
These symptoms and logfile are consistent with an issue I ran across in both RHEL7.3 and Fedora 25/27

I tracked it down to a bug in libmutter, which gnome-session depends on.
Last week I submitted a fix upstream and it has been accepted.

https://gitlab.gnome.org/GNOME/mutter/issues/12
https://gitlab.gnome.org/GNOME/mutter/commit/6be56de14010b175eba76b6dcaa44184a0d7545c

Comment 3 Alessandra 2018-02-08 11:40:00 UTC
Thank you Jeff,
I think your fix will resolve our problem. How long do you think will pass before the official package will be released?
Alessandra

Comment 4 Jeff Smith 2018-02-13 14:47:13 UTC
I am also interested in when updated packages will be available.  I know at least two RHEL customers that are aware of having experienced this issue.

Comment 5 Alessandra 2018-06-15 14:20:24 UTC
Any news on the official resolution package? 
I have another case of desktop freeze on Redhat Server 7.2, this time I have started a new xterm windows on the same X channel (:0)

# xterm -display :0 ...

 and I tested that I can interact with keyboard and mouse in the new application, but the others still remain blocked and unusable. Only the gdm restart gives the wake up on the desktop objects.

Comment 8 Jeff Smith 2018-07-16 18:51:42 UTC
Please note, the commit I referenced in my first comment is a one-line fix that should be applicable as far back as libmutter 3.13.4.

This issue appears to have been present since GNOME 3.14, which AFAICT was the version Rat Hat went with for RHEL 7.2.

Comment 9 Alessandra 2018-07-17 12:03:30 UTC
I read about the one line fix, but I need the official package to update the server in operational environment. 
If my company wanted a handmade solution, it would not have invested in redhat and would have chosen centos.
The question is if the solution would be so simple why they are so late to resolve the problem?

Comment 10 Jeff Smith 2018-07-17 14:12:40 UTC
Alessandra,
  Sorry, I wasn't meaning to suggest rolling your own.  I was only intending to provide a little extra information, and make sure all of the @redhat's on this issue were aware of some pertinent points about the fix.
  With recent increased attention on this issue, I am hopeful that some action will be coming soon.

Comment 15 Florian Müllner 2018-09-03 14:37:44 UTC
*** Bug 1612930 has been marked as a duplicate of this bug. ***

Comment 16 Florian Müllner 2018-09-17 15:27:11 UTC

*** This bug has been marked as a duplicate of bug 1601946 ***

Comment 17 Alessandra 2018-09-18 06:38:50 UTC
Is it just me or even someone else can not download the rpm that solve the problem?


Note You need to log in before you can comment on or make changes to this bug.